DUNE-SHOW(1)

NAME

dune-show - Command group for showing information about the workspace

SYNOPSIS

dune show COMMAND …

COMMANDS

aliases [OPTION]… [DIR]…
    Print aliases in a given directory. Works similarly to ls.

contexts [OPTION]…
    List the build contexts available in the workspace.

depexts [OPTION]…
    Print the list of all the available depexts

env [OPTION]… [PATH]
    Print the environment of a directory.

external-lib-deps [OPTION]…
    Print out external libraries needed to build the project. It's an approximated set of libraries.

installed-libraries [OPTION]…
    Print out libraries installed on the system.

location [OPTION]… PROG
    Print the path to the executable using the same resolution logic as [dune exec].

opam-files [OPTION]…
    Print information about the opam files that have been discovered.

package-entries [OPTION]…
    prints information about the entries per package.

pkg COMMAND …
    Subcommands related to package management

pp [OPTION]… FILE
    Build a given FILE and print the preprocessed output.

rules [OPTION]… [TARGET]…
    Dump rules.

targets [OPTION]… [DIR]…
    Print targets in a given directory. Works similarly to ls.

tests [OPTION]…
    Print out the tests defined in the project. The output format of this command is experimental and is subject to change without warning

workspace [OPTION]… [DIRS]…
    Print a description of the workspace's structure. If some directories DIRS are provided, then only those directories of the workspace are considered.

COMMON OPTIONS

--help[=FMT] (default=auto)
    Show this help in format FMT. The value FMT must be one of auto, pager, groff or plain. With auto, the format is pager or plain whenever the TERM env var is dumb or undefined.

--version
    Show version information.

EXIT STATUS

dune show exits with:

0   on success.

1   if an error happened.

130 if it was interrupted by a signal.

SEE ALSO

dune(1)